curl --request POST \
--url https://api.blockradar.co/v1/rates/{id}/deactivate \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"reason": "DEACTIVATION_REASON"
}
'{
"data": {
"deactivatedAt": "2026-02-19T08:00:37.185Z",
"deactivatedBy": "86964e42-79dc-4267-a2ca-3612c4b095a8",
"deactivationReason": "Paused by user",
"fromAsset": "USDC",
"id": "cad01df3-4041-4e81-a368-534fb4de5d12",
"isActive": false,
"maxAmount": null,
"minAmount": "0.000006",
"network": "testnet",
"rate": "1",
"status": "deactivated",
"toAsset": "BNB",
"version": 2
},
"message": "Rate deactivated successfully",
"statusCode": 200
}Deactivates an existing rate for a specific asset pair.
Use this endpoint to deactivate a previously-created rate. Deactivation is applied to the rate identified by id.
POST https://api.blockradar.co/v1/rates/:id/deactivate
| Key | Required | Type | Description |
|---|---|---|---|
| id | true | string | The unique identifier of the rate to deactivate. |
Provide the fields required to authorize deactivation.
| Key | Required | Type | Description |
|---|---|---|---|
| reason | true | string | The reason for deactivating the rate. |
curl --request POST \
--url https://api.blockradar.co/v1/rates/{id}/deactivate \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"reason": "DEACTIVATION_REASON"
}
'{
"data": {
"deactivatedAt": "2026-02-19T08:00:37.185Z",
"deactivatedBy": "86964e42-79dc-4267-a2ca-3612c4b095a8",
"deactivationReason": "Paused by user",
"fromAsset": "USDC",
"id": "cad01df3-4041-4e81-a368-534fb4de5d12",
"isActive": false,
"maxAmount": null,
"minAmount": "0.000006",
"network": "testnet",
"rate": "1",
"status": "deactivated",
"toAsset": "BNB",
"version": 2
},
"message": "Rate deactivated successfully",
"statusCode": 200
}"rate_id"
"DEACTIVATION_REASON"